"""Add the Event table

Revision ID: 82d31cde7008
Revises: cd7c4df10683
Create Date: 2018-01-17 16:43:32.204720

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '82d31cde7008'
down_revision = 'cd7c4df10683'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('event',
    sa.Column('id', sa.BigInteger(), nullable=False),
    sa.Column('created', sa.DateTime(), server_default=sa.text('now()'), nullable=False),
    sa.Column('user', sa.String(length=64), nullable=False),
    sa.Column('type', sa.SmallInteger(), nullable=False),
    sa.Column('package_owner', sa.String(length=64), nullable=True),
    sa.Column('package_name', sa.String(length=64), nullable=True),
    sa.Column('package_hash', sa.String(length=64), nullable=True),
    sa.Column('extra', postgresql.JSONB(astext_type=sa.Text()), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index('idx_package', 'event', ['package_owner', 'package_name'], unique=False)
    op.create_index(op.f('ix_event_created'), 'event', ['created'], unique=False)
    op.create_index(op.f('ix_event_user'), 'event', ['user'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_event_user'), table_name='event')
    op.drop_index(op.f('ix_event_created'), table_name='event')
    op.drop_index('idx_package', table_name='event')
    op.drop_table('event')
    # ### end Alembic commands ###
